## org.eclipse.m2m.atl.profiler.exportmodel.provider
Class ExportmodelItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.m2m.atl.profiler.exportmodel.util.ExportmodelAdapterFactory
              org.eclipse.m2m.atl.profiler.exportmodel.provider.ExportmodelItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class ExportmodelItemProviderAdapterFactory

extends ExportmodelAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected AtlOperationExportItemProvider` `atlOperationExportItemProvider` This keeps track of the one adapter used for all `AtlOperationExport` instances
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ExportElementItemProvider` `exportElementItemProvider` This keeps track of the one adapter used for all `ExportElement` instances
`protected ExportRootItemProvider` `exportRootItemProvider` This keeps track of the one adapter used for all `ExportRoot` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected ProfilingOperationExportItemProvider` `profilingOperationExportItemProvider` This keeps track of the one adapter used for all `ProfilingOperationExport` instances
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`

Fields inherited from class org.eclipse.m2m.atl.profiler.exportmodel.util.ExportmodelAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`ExportmodelItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createAtlOperationExportAdapter()` This creates an adapter for a `AtlOperationExport`
`org.eclipse.emf.common.notify.Adapter` `createExportElementAdapter()` This creates an adapter for a `ExportElement`
`org.eclipse.emf.common.notify.Adapter` `createExportRootAdapter()` This creates an adapter for a `ExportRoot`
`org.eclipse.emf.common.notify.Adapter` `createProfilingOperationExportAdapter()` This creates an adapter for a `ProfilingOperationExport`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.m2m.atl.profiler.exportmodel.util.ExportmodelAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### exportElementItemProvider

    protected ExportElementItemProvider exportElementItemProvider

  This keeps track of the one adapter used for all `ExportElement` instances.

### profilingOperationExportItemProvider

    protected ProfilingOperationExportItemProvider profilingOperationExportItemProvider

  This keeps track of the one adapter used for all `ProfilingOperationExport` instances.

### atlOperationExportItemProvider

    protected AtlOperationExportItemProvider atlOperationExportItemProvider

  This keeps track of the one adapter used for all `AtlOperationExport` instances.

### exportRootItemProvider

    protected ExportRootItemProvider exportRootItemProvider

  This keeps track of the one adapter used for all `ExportRoot` instances.

Constructor Detail

### ExportmodelItemProviderAdapterFactory

    public ExportmodelItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createExportElementAdapter

    public org.eclipse.emf.common.notify.Adapter createExportElementAdapter()

  This creates an adapter for a `ExportElement`.

  Overrides:
    `createExportElementAdapter` in class `ExportmodelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExportElement`

### createProfilingOperationExportAdapter

    public org.eclipse.emf.common.notify.Adapter createProfilingOperationExportAdapter()

  This creates an adapter for a `ProfilingOperationExport`.

  Overrides:
    `createProfilingOperationExportAdapter` in class `ExportmodelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ProfilingOperationExport`

### createAtlOperationExportAdapter

    public org.eclipse.emf.common.notify.Adapter createAtlOperationExportAdapter()

  This creates an adapter for a `AtlOperationExport`.

  Overrides:
    `createAtlOperationExportAdapter` in class `ExportmodelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AtlOperationExport`

### createExportRootAdapter

    public org.eclipse.emf.common.notify.Adapter createExportRootAdapter()

  This creates an adapter for a `ExportRoot`.

  Overrides:
    `createExportRootAdapter` in class `ExportmodelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExportRoot`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `ExportmodelAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright 2007 IBM Corporation and others. All Rights Reserved.